Commit d815de01 authored by João Távora's avatar João Távora

Skip a Flymake test for old gcc versions

Fixes: 28906

* test/lisp/progmodes/flymake-tests.el
(different-diagnostic-types): Skip this test for gcc versions
< 5.
parent fd3d8610
......@@ -24,6 +24,7 @@
;;; Code:
(require 'ert)
(require 'flymake)
(require 'subr-x) ; string-trim
(defvar flymake-tests-data-directory
(expand-file-name "lisp/progmodes/flymake-resources"
......@@ -128,7 +129,11 @@ SEVERITY-PREDICATE is used to setup
(ert-deftest different-diagnostic-types ()
"Test GCC warning via function predicate."
(skip-unless (and (executable-find "gcc") (executable-find "make")))
(skip-unless (and (executable-find "gcc")
(version<=
"5" (string-trim
(shell-command-to-string "gcc -dumpversion")))
(executable-find "make")))
(let ((flymake-wrap-around nil))
(flymake-tests--with-flymake
("errors-and-warnings.c")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment